/// @nodoc
typedef InvitationID = String;

/// @nodoc
enum InvitationState {
  error,
  waiting,
  accept,
  refuse,
  cancel,
  timeout,
}

/// @nodoc
class InvitationUser {
  InvitationUser({required this.userID, required this.state});

  String userID;
  InvitationState state;

  @override
  String toString() {
    return 'userid :$userID, state:$state';
  }
}

/// @nodoc
enum AdvanceInvitationState {
  idle,
  error,
  waiting,
  accepted,
  rejected,
  cancelled,
}

/// @nodoc
class AdvanceInvitationUser {
  AdvanceInvitationUser({
    required this.userID,
    required this.state,
    this.extendedData = '',
  });

  String userID;
  AdvanceInvitationState state;
  String extendedData;

  @override
  String toString() {
    return 'AdvanceInvitationUser:{'
        'userid :$userID, '
        'state:$state, '
        'extendedData:$extendedData, '
        '}';
  }
}
